Page MenuHomePhabricator

Upgrade twisted on load balancers to 16.2.0
Closed, ResolvedPublic

Description

We're currently running twisted 14.0.2, which is quite old. There's a newer version available in jessie-backports, 16.2.0.

A preliminary pybal test of the newer version on pybal-test2001 gave encouraging results: pybal seems to work fine there. However, @Joe mentioned that minor issues with twisted upgrades have happened in the past. We should thus test the upgrade with care, including checking that all different types of pybal checks work as expected.

Event Timeline

ema created this task.Mar 14 2017, 4:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 14 2017, 4:56 PM
ema triaged this task as Medium priority.Mar 14 2017, 4:56 PM
ema moved this task from Triage to LoadBalancer on the Traffic board.
ema added a comment.Mar 21 2017, 10:57 AM

I've been testing twisted 16.2.0 on pybal-test2001 for a while and the various monitoring protocols look good. I'm going to upgrade twisted on lvs1007-12 as a next step.

Mentioned in SAL (#wikimedia-operations) [2017-03-21T11:00:18Z] <ema> upgrading twisted to 16.2.0 on lvs1007-12 T160433

Mentioned in SAL (#wikimedia-operations) [2017-03-24T07:26:29Z] <ema> upgrading twisted to 16.2.0 on lvs4003 and lvs4004 (ulsfo secondaries) T160433

Mentioned in SAL (#wikimedia-operations) [2017-03-24T08:01:10Z] <ema> upgrading twisted to 16.2.0 on lvs4001 and lvs4002 (ulsfo primaries) T160433

Mentioned in SAL (#wikimedia-operations) [2017-03-28T10:36:46Z] <ema> upgrading twisted to 16.2.0 on lvs3003 and lvs3004 (esams secondaries) T160433

Mentioned in SAL (#wikimedia-operations) [2017-03-28T10:39:37Z] <ema> upgrading twisted to 16.2.0 on lvs3001 and lvs3002 (esams primaries) T160433

Mentioned in SAL (#wikimedia-operations) [2017-03-29T08:54:37Z] <ema> upgrading twisted to 16.2.0 on lvs200[456] (codfw secondaries) T160433

Mentioned in SAL (#wikimedia-operations) [2017-03-29T09:39:32Z] <ema> upgrading twisted to 16.2.0 on lvs200[123] (codfw primaries) T160433

Mentioned in SAL (#wikimedia-operations) [2017-03-30T05:51:25Z] <ema> upgrading twisted to 16.2.0 on lvs100[456] (eqiad secondaries) T160433

ema moved this task from Backlog to In Progress on the Pybal board.Mar 30 2017, 6:07 AM

Mentioned in SAL (#wikimedia-operations) [2017-03-30T07:05:13Z] <ema> upgrading twisted to 16.2.0 on lvs100[123] (eqiad primaries) T160433

ema closed this task as Resolved.Mar 30 2017, 7:48 AM